form { }
div.field { }
fieldset { }
form label { }
form label.left { }
form label.right { }
form input.text,
form textarea,
form select { }
form input.text:focus,
form textarea:focus,
form .textajaxuniquetext:focus,
form select:focus { }
form input[disabled], form textarea[disabled] { }
textarea { }


.field .checkbox:not(.field),
.field .radio:not(.field) { }
.checkbox label.right,
.radio label.right { }


form .message {
    background-color: rgba(255 125 0 / 0.2);
    border: 1px solid rgba(255 125 0 / 0.5);
    color: rgba(255 125 0 / 1);
    padding: 5px 10px;
}
form .good {
    background-color: rgba(0,255,128,0.2);
    border-color: rgba(0,255,128,0.5);
    color: rgba(0,255,128,1);
}
form .bad,
form .required,
form .error {
    background-color: rgba(255,0,0,0.2);
    border-color: rgba(255,0,0,0.5);
    color: rgba(255,0,0,1);
}


.Actions { }
a.btn, button, input[type="submit"], input[type="reset"], .Actions .action { }
a.btn:hover, button, input[type="submit"]:hover, .Actions .action:hover { }
a.btn { }

.btn {
    /* box-shadow: 0 0 5px 5px rgba(0,0,0, 0.3); */
    text-transform: uppercase;  text-decoration:none!important;
    border-radius: 0; padding: .75rem 2rem; font-weight: bold;
    font-size: 1.25rem;
}
.btn-sm {
    padding: .5rem 1rem; font-size: 1rem;
}
.btn .icon {
    max-height: 32px; width: auto;
}

.btn-primary {
    background: rgba(0,59,19,0.5); color: #fff!important; border-color: rgba(0,59,19,0.8);;
    border-right-color: #fff; border-left-color: #fff;
}
.btn-primary:hover {
    background: rgba(10,69,29,0.7); color: #fff!important; border-color: rgba(0,59,19,1);
    border-right-color: #fff; border-left-color: #fff;
    text-shadow: 0 0 5px rgba(255,255,255,0.4);
}
.btn-secondary {
    background: #121313; color: #fff!important; border-color: #2D2D2E;
    border-right-color: #fff; border-left-color: #fff;
}
.btn-secondary:hover {
    background: #1B1D1D; color: #fff!important; border-color: #353536;
    border-right-color: #fff; border-left-color: #fff;
    text-shadow: 0 0 5px rgba(255,255,255,0.4);
}
.btn-info {
    background: rgba(0,19,59,0.5); color: #fff!important; border-color: rgba(0,19,59,0.8);;
    border-right-color: #fff; border-left-color: #fff;
}
.btn-info:hover {
    background: rgba(10,29,69,0.7); color: #fff!important; border-color: rgba(0,19,59,1);
    border-right-color: #fff; border-left-color: #fff;
    text-shadow: 0 0 5px rgba(255,255,255,0.4);
}

.btn.with-icon {
    padding-left: 4rem; background-repeat: no-repeat;
    background-position: 1rem; background-size: 2rem;
}
.btn-sm.with-icon {
    padding-left: 2.6rem; background-position: .7rem; background-size: 1.5rem;
}
.btn.with-icon.login {
    background-image: url(../images/icon-login-white.png);
}
.btn.with-icon.help{
    background-image: url(../images/icon-help-white.png);
}
.btn.with-icon.logout {
    background-image: url(../images/icon-logout-white.png);
}
.btn.with-icon.download {
    background-image: url(../images/icon-download-white.png);
}
.btn.with-icon.auth {
    background-image: url(../images/icon-auth-white.png);
}
.btn.with-icon.cog {
    background-image: url(../images/icon-cog-white.png);
}
.btn.with-icon.close {
    background-image: url(../images/icon-close-white.png);
}

@media (max-width: 575.98px) {
    .btn-toolbar {
        flex-direction: column;
    }
    .btn.with-icon {
        padding-right: 4rem;
    }
}


.ssw-panel {
    margin: 0; padding: 2rem;
    background: #030303;
}
.CompositeField {
    margin-bottom: 2rem;
    background: rgba(255,255,255,0.1);
    border: 1px solid rgba(255,255,255,0.2);
    /*border-radius: .5rem;*/
    border-right-color: #fff;
    border-left-color: #fff;
    padding: 1rem;
}
.fieldholder-small{
    margin: .5rem 0;
}
.last .fieldholder-small {
    margin-bottom: 0;
}
.CompositeField label.left {
    font-size: 28px; color: #fff; text-transform: uppercase; font-weight: bold;
    line-height: 28px;
}
label.fieldholder-small-label{
    color: #fff; margin-right: 1rem; padding-left: .3rem;
}
.form-control, .form-control:focus {
    border-radius: 0px; background: #111; border: 1px solid #333; color: #fff;
}
.form-control:focus {
    background: #161616;
}
.field .middleColumn {
    margin-bottom: 1rem;
}
.fieldgroup.middleColumn {
    margin-bottom: 0;
}
.field.checkbox {
    margin-bottom: 1rem;
}
.field.checkbox .checkbox {
    margin-right: .5rem;
}

@media (max-width: 991.98px) {
    .ssw-panel {
        margin: 0; padding: 1rem;
    }
}